<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'research',

    /*
     * Package.
     */
    'package'   => 'subject',

    /*
     * Modules.
     */
    'modules'   => ['subject'],

    
    'subject'       => [
        'model' => [
            'model'                 => \Research\Subject\Models\Subject::class,
            'table'                 => 'subjects',
            'presenter'             => \Research\Subject\Repositories\Presenter\SubjectPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'details',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'subject/subject',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Research',
            'package'   => 'Subject',
            'module'    => 'Subject',
        ],

    ],
];
