<?php

namespace Research\Subject\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SubjectTransformer extends TransformerAbstract
{
    public function transform(\Research\Subject\Models\Subject $subject)
    {
        return [
            'id'                => $subject->getRouteKey(),
            'key'               => [
                'public'    => $subject->getPublicKey(),
                'route'     => $subject->getRouteKey(),
            ], 
            'name'              => $subject->name,
            'details'           => $subject->details,
            'deleted_at'        => $subject->deleted_at,
            'url'               => [
                'public'    => trans_url('subject/'.$subject->getPublicKey()),
                'user'      => guard_url('subject/subject/'.$subject->getRouteKey()),
            ], 
            'status'            => trans('app.'.$subject->status),
            'created_at'        => format_date($subject->created_at),
            'updated_at'        => format_date($subject->updated_at),
        ];
    }
}