<?php

namespace Research\Subject;

use User;

class Subject
{
    /**
     * $subject object.
     */
    protected $subject;

    /**
     * Constructor.
     */
    public function __construct(\Research\Subject\Interfaces\SubjectRepositoryInterface $subject)
    {
        $this->subject = $subject;
    }

    /**
     * Returns count of subject.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.subject.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->subject->pushCriteria(new \Litepie\Research\Repositories\Criteria\SubjectUserCriteria());
        }

        $subject = $this->subject->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('subject::' . $view, compact('subject'))->render();
    }
}
